<div class="form">


<?php $form = $this->beginWidget('GxActiveForm', array(
	'id' => 'formulario-form',
	'enableAjaxValidation' => false,
));
?>

	<p class="note">
		<?php echo Yii::t('app', 'Fields with'); ?> <span class="required">*</span> <?php echo Yii::t('app', 'are required'); ?>.
	</p>

	<?php echo $form->errorSummary($model); ?>

		<div class="row">
		<?php echo $form->labelEx($model,'tipo_licencia_id'); ?>
		<?php echo $form->dropDownList($model, 'tipo_licencia_id', GxHtml::listDataEx(Licencias::model()->findAllAttributes(null, true))); ?>
		<?php echo $form->error($model,'tipo_licencia_id'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'formulario_dia_desde'); ?>
		<?php $form->widget('zii.widgets.jui.CJuiDatePicker', array(
			'model' => $model,
			'attribute' => 'formulario_dia_desde',
			'value' => $model->formulario_dia_desde,
			'options' => array(
				'showButtonPanel' => true,
				'changeYear' => true,
				'dateFormat' => 'yy-mm-dd',
				),
			));
; ?>
		<?php echo $form->error($model,'formulario_dia_desde'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'formulario_dia_hasta'); ?>
		<?php $form->widget('zii.widgets.jui.CJuiDatePicker', array(
			'model' => $model,
			'attribute' => 'formulario_dia_hasta',
			'value' => $model->formulario_dia_hasta,
			'options' => array(
				'showButtonPanel' => true,
				'changeYear' => true,
				'dateFormat' => 'yy-mm-dd',
				),
			));
; ?>
		<?php echo $form->error($model,'formulario_dia_hasta'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'formulario_explicacion'); ?>
		<?php echo $form->textArea($model, 'formulario_explicacion'); ?>
		<?php echo $form->error($model,'formulario_explicacion'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'usuario_id'); ?>
		<?php echo $form->dropDownList($model, 'usuario_id', Usuario::model()->ListaUsuarios()); ?>
		<?php echo $form->error($model,'usuario_id'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'formulario_fecha_hora_registro'); ?>
		<?php echo $form->textField($model, 'formulario_fecha_hora_registro'); ?>
		<?php echo $form->error($model,'formulario_fecha_hora_registro'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'formulario_fecha_hora_aprobacion'); ?>
		<?php echo $form->textField($model, 'formulario_fecha_hora_aprobacion'); ?>
		<?php echo $form->error($model,'formulario_fecha_hora_aprobacion'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'formulario_estado'); ?>
		<?php echo $form->textField($model, 'formulario_estado', array('maxlength' => 100)); ?>
		<?php echo $form->error($model,'formulario_estado'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'area_origen'); ?>
		<?php echo $form->textField($model, 'area_origen'); ?>
		<?php echo $form->error($model,'area_origen'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'area_destino'); ?>
		<?php echo $form->textField($model, 'area_destino'); ?>
		<?php echo $form->error($model,'area_destino'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'formulario_afectacion'); ?>
		<?php echo $form->textField($model, 'formulario_afectacion', array('maxlength' => 100)); ?>
		<?php echo $form->error($model,'formulario_afectacion'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'url_firma_agente'); ?>
		<?php echo $form->textField($model, 'url_firma_agente', array('maxlength' => 500)); ?>
		<?php echo $form->error($model,'url_firma_agente'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'control_alertweb'); ?>
		<?php echo $form->checkBox($model, 'control_alertweb'); ?>
		<?php echo $form->error($model,'control_alertweb'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'usuario_id_destino'); ?>
		<?php echo $form->dropDownList($model, 'usuario_id_destino', Usuario::model()->ListaUsuarios()); ?>
		<?php echo $form->error($model,'usuario_id_destino'); ?>
		</div><!-- row -->

		<label><?php echo GxHtml::encode($model->getRelationLabel('formularioFirmases')); ?></label>
		<?php echo $form->checkBoxList($model, 'formularioFirmases', GxHtml::encodeEx(GxHtml::listDataEx(FormularioFirmas::model()->findAllAttributes(null, true)), false, true)); ?>
		<label><?php echo GxHtml::encode($model->getRelationLabel('formularioImgs')); ?></label>
		<?php echo $form->checkBoxList($model, 'formularioImgs', GxHtml::encodeEx(GxHtml::listDataEx(FormularioImg::model()->findAllAttributes(null, true)), false, true)); ?>
		<label><?php echo GxHtml::encode($model->getRelationLabel('perNotiForms')); ?></label>
		<?php echo $form->checkBoxList($model, 'perNotiForms', GxHtml::encodeEx(GxHtml::listDataEx(PerNotiForm::model()->findAllAttributes(null, true)), false, true)); ?>
		<label><?php echo GxHtml::encode($model->getRelationLabel('perPrintFors')); ?></label>
		<?php echo $form->checkBoxList($model, 'perPrintFors', GxHtml::encodeEx(GxHtml::listDataEx(PerPrintFor::model()->findAllAttributes(null, true)), false, true)); ?>

<?php
echo GxHtml::submitButton(Yii::t('app', 'Save'));
$this->endWidget();
?>
</div><!-- form -->