<div class="wide form">

<?php $form = $this->beginWidget('GxActiveForm', array(
	'action' => Yii::app()->createUrl($this->route),
	'method' => 'get',
)); ?>

	<div class="row">
		<?php echo $form->label($model, 'formulario_id'); ?>
		<?php echo $form->textField($model, 'formulario_id'); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'tipo_licencia_id'); ?>
		<?php echo $form->dropDownList($model, 'tipo_licencia_id', GxHtml::listDataEx(Licencias::model()->findAllAttributes(null, true)), array('prompt' => Yii::t('app', 'All'))); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'formulario_dia_desde'); ?>
		<?php $form->widget('zii.widgets.jui.CJuiDatePicker', array(
			'model' => $model,
			'attribute' => 'formulario_dia_desde',
			'value' => $model->formulario_dia_desde,
			'options' => array(
				'showButtonPanel' => true,
				'changeYear' => true,
				'dateFormat' => 'yy-mm-dd',
				),
			));
; ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'formulario_dia_hasta'); ?>
		<?php $form->widget('zii.widgets.jui.CJuiDatePicker', array(
			'model' => $model,
			'attribute' => 'formulario_dia_hasta',
			'value' => $model->formulario_dia_hasta,
			'options' => array(
				'showButtonPanel' => true,
				'changeYear' => true,
				'dateFormat' => 'yy-mm-dd',
				),
			));
; ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'formulario_explicacion'); ?>
		<?php echo $form->textArea($model, 'formulario_explicacion'); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'usuario_id'); ?>
		<?php echo $form->dropDownList($model, 'usuario_id', GxHtml::listDataEx(Usuario::model()->findAllAttributes(null, true)), array('prompt' => Yii::t('app', 'All'))); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'formulario_fecha_hora_registro'); ?>
		<?php echo $form->textField($model, 'formulario_fecha_hora_registro'); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'formulario_fecha_hora_aprobacion'); ?>
		<?php echo $form->textField($model, 'formulario_fecha_hora_aprobacion'); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'formulario_estado'); ?>
		<?php echo $form->textField($model, 'formulario_estado', array('maxlength' => 100)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'area_origen'); ?>
		<?php echo $form->textField($model, 'area_origen'); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'area_destino'); ?>
		<?php echo $form->textField($model, 'area_destino'); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'formulario_afectacion'); ?>
		<?php echo $form->textField($model, 'formulario_afectacion', array('maxlength' => 100)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'url_firma_agente'); ?>
		<?php echo $form->textField($model, 'url_firma_agente', array('maxlength' => 500)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'control_alertweb'); ?>
		<?php echo $form->dropDownList($model, 'control_alertweb', array('0' => Yii::t('app', 'No'), '1' => Yii::t('app', 'Yes')), array('prompt' => Yii::t('app', 'All'))); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'usuario_id_destino'); ?>
		<?php echo $form->dropDownList($model, 'usuario_id_destino', GxHtml::listDataEx(Usuario::model()->findAllAttributes(null, true)), array('prompt' => Yii::t('app', 'All'))); ?>
	</div>

	<div class="row buttons">
		<?php echo GxHtml::submitButton(Yii::t('app', 'Search')); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- search-form -->
