<?php

$this->breadcrumbs = array(
	$model->label(2) => array('index'),
	GxHtml::valueEx($model),
);

$this->menu=array(
	array('label'=>Yii::t('app', 'List') . ' ' . $model->label(2), 'url'=>array('index')),
	array('label'=>Yii::t('app', 'Create') . ' ' . $model->label(), 'url'=>array('create')),
	array('label'=>Yii::t('app', 'Update') . ' ' . $model->label(), 'url'=>array('update', 'id' => $model->formulario_id)),
	array('label'=>Yii::t('app', 'Delete') . ' ' . $model->label(), 'url'=>'#', 'linkOptions' => array('submit' => array('delete', 'id' => $model->formulario_id), 'confirm'=>'Are you sure you want to delete this item?')),
	array('label'=>Yii::t('app', 'Manage') . ' ' . $model->label(2), 'url'=>array('admin')),
);
?>

<h1><?php echo Yii::t('app', 'View') . ' ' . GxHtml::encode($model->label()) . ' ' . GxHtml::encode(GxHtml::valueEx($model)); ?></h1>

<?php $this->widget('zii.widgets.CDetailView', array(
	'data' => $model,
	'attributes' => array(
'formulario_id',
array(
			'name' => 'tipoLicencia',
			'type' => 'raw',
			'value' => $model->tipoLicencia !== null ? GxHtml::link(GxHtml::encode(GxHtml::valueEx($model->tipoLicencia)), array('licencias/view', 'id' => GxActiveRecord::extractPkValue($model->tipoLicencia, true))) : null,
			),
'formulario_dia_desde',
'formulario_dia_hasta',
'formulario_explicacion',
array(
			'name' => 'usuario',
			'type' => 'raw',
			'value' => $model->usuario !== null ? GxHtml::link(GxHtml::encode(GxHtml::valueEx($model->usuario)), array('usuario/view', 'id' => GxActiveRecord::extractPkValue($model->usuario, true))) : null,
			),
'formulario_fecha_hora_registro',
'formulario_fecha_hora_aprobacion',
'formulario_estado',
'area_origen',
'area_destino',
'formulario_afectacion',
'url_firma_agente',
'control_alertweb:boolean',
array(
			'name' => 'usuarioIdDestino',
			'type' => 'raw',
			'value' => $model->usuarioIdDestino !== null ? GxHtml::link(GxHtml::encode(GxHtml::valueEx($model->usuarioIdDestino)), array('usuario/view', 'id' => GxActiveRecord::extractPkValue($model->usuarioIdDestino, true))) : null,
			),
	),
)); ?>

<h2><?php echo GxHtml::encode($model->getRelationLabel('formularioFirmases')); ?></h2>
<?php
	echo GxHtml::openTag('ul');
	foreach($model->formularioFirmases as $relatedModel) {
		echo GxHtml::openTag('li');
		echo GxHtml::link(GxHtml::encode(GxHtml::valueEx($relatedModel)), array('formularioFirmas/view', 'id' => GxActiveRecord::extractPkValue($relatedModel, true)));
		echo GxHtml::closeTag('li');
	}
	echo GxHtml::closeTag('ul');
?><h2><?php echo GxHtml::encode($model->getRelationLabel('formularioImgs')); ?></h2>
<?php
	echo GxHtml::openTag('ul');
	foreach($model->formularioImgs as $relatedModel) {
		echo GxHtml::openTag('li');
		echo GxHtml::link(GxHtml::encode(GxHtml::valueEx($relatedModel)), array('formularioImg/view', 'id' => GxActiveRecord::extractPkValue($relatedModel, true)));
		echo GxHtml::closeTag('li');
	}
	echo GxHtml::closeTag('ul');
?><h2><?php echo GxHtml::encode($model->getRelationLabel('perNotiForms')); ?></h2>
<?php
	echo GxHtml::openTag('ul');
	foreach($model->perNotiForms as $relatedModel) {
		echo GxHtml::openTag('li');
		echo GxHtml::link(GxHtml::encode(GxHtml::valueEx($relatedModel)), array('perNotiForm/view', 'id' => GxActiveRecord::extractPkValue($relatedModel, true)));
		echo GxHtml::closeTag('li');
	}
	echo GxHtml::closeTag('ul');
?><h2><?php echo GxHtml::encode($model->getRelationLabel('perPrintFors')); ?></h2>
<?php
	echo GxHtml::openTag('ul');
	foreach($model->perPrintFors as $relatedModel) {
		echo GxHtml::openTag('li');
		echo GxHtml::link(GxHtml::encode(GxHtml::valueEx($relatedModel)), array('perPrintFor/view', 'id' => GxActiveRecord::extractPkValue($relatedModel, true)));
		echo GxHtml::closeTag('li');
	}
	echo GxHtml::closeTag('ul');
?>