<div class="form">


<?php $form = $this->beginWidget('GxActiveForm', array(
	'id' => 'usuario-form',
	'enableAjaxValidation' => false,
));
?>

	<p class="note">
		<?php echo Yii::t('app', 'Fields with'); ?> <span class="required">*</span> <?php echo Yii::t('app', 'are required'); ?>.
	</p>

	<?php echo $form->errorSummary($model); ?>

		<div class="row">
		<?php echo $form->labelEx($model,'usuario_nombre'); ?>
		<?php echo $form->textField($model, 'usuario_nombre', array('maxlength' => 100)); ?>
		<?php echo $form->error($model,'usuario_nombre'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'usuario_apellido'); ?>
		<?php echo $form->textField($model, 'usuario_apellido', array('maxlength' => 100)); ?>
		<?php echo $form->error($model,'usuario_apellido'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'usuario_dni'); ?>
		<?php echo $form->textField($model, 'usuario_dni'); ?>
		<?php echo $form->error($model,'usuario_dni'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'usuario_cuil'); ?>
		<?php echo $form->textField($model, 'usuario_cuil'); ?>
		<?php echo $form->error($model,'usuario_cuil'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'usuario_legajo'); ?>
		<?php echo $form->textArea($model, 'usuario_legajo'); ?>
		<?php echo $form->error($model,'usuario_legajo'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'usuario_provincia'); ?>
		<?php echo $form->textField($model, 'usuario_provincia', array('maxlength' => 100)); ?>
		<?php echo $form->error($model,'usuario_provincia'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'usuario_depto'); ?>
		<?php echo $form->textField($model, 'usuario_depto', array('maxlength' => 100)); ?>
		<?php echo $form->error($model,'usuario_depto'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'usuario_calle'); ?>
		<?php echo $form->textField($model, 'usuario_calle', array('maxlength' => 100)); ?>
		<?php echo $form->error($model,'usuario_calle'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'usuario_casa_numero'); ?>
		<?php echo $form->textField($model, 'usuario_casa_numero'); ?>
		<?php echo $form->error($model,'usuario_casa_numero'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'usuario_fecha_nacimiento'); ?>
		<?php $form->widget('zii.widgets.jui.CJuiDatePicker', array(
			'model' => $model,
			'attribute' => 'usuario_fecha_nacimiento',
			'value' => $model->usuario_fecha_nacimiento,
			'options' => array(
				'showButtonPanel' => true,
				'changeYear' => true,
				'dateFormat' => 'yy-mm-dd',
				),
			));
; ?>
		<?php echo $form->error($model,'usuario_fecha_nacimiento'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'usuario_email'); ?>
		<?php echo $form->textField($model, 'usuario_email', array('maxlength' => 100)); ?>
		<?php echo $form->error($model,'usuario_email'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'usuario_biografia'); ?>
		<?php echo $form->textArea($model, 'usuario_biografia'); ?>
		<?php echo $form->error($model,'usuario_biografia'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'usuario_telefono'); ?>
		<?php echo $form->textField($model, 'usuario_telefono', array('maxlength' => 30)); ?>
		<?php echo $form->error($model,'usuario_telefono'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'usuario_profesion'); ?>
		<?php echo $form->textField($model, 'usuario_profesion', array('maxlength' => 100)); ?>
		<?php echo $form->error($model,'usuario_profesion'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'usuario_clave'); ?>
		<?php echo $form->textField($model, 'usuario_clave', array('maxlength' => 50)); ?>
		<?php echo $form->error($model,'usuario_clave'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'usuario_foto_perfil'); ?>
		<?php echo $form->textField($model, 'usuario_foto_perfil', array('maxlength' => 500)); ?>
		<?php echo $form->error($model,'usuario_foto_perfil'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'usuario_facebook'); ?>
		<?php echo $form->textField($model, 'usuario_facebook', array('maxlength' => 100)); ?>
		<?php echo $form->error($model,'usuario_facebook'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'usuario_instagram'); ?>
		<?php echo $form->textField($model, 'usuario_instagram', array('maxlength' => 100)); ?>
		<?php echo $form->error($model,'usuario_instagram'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'cargo_id'); ?>
		<?php echo $form->dropDownList($model, 'cargo_id', GxHtml::listDataEx(Cargo::model()->findAllAttributes(null, true))); ?>
		<?php echo $form->error($model,'cargo_id'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'tipo_usuario_id'); ?>
		<?php echo $form->dropDownList($model, 'tipo_usuario_id', GxHtml::listDataEx(TipoUsuario::model()->findAllAttributes(null, true))); ?>
		<?php echo $form->error($model,'tipo_usuario_id'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'estado_id'); ?>
		<?php echo $form->dropDownList($model, 'estado_id', GxHtml::listDataEx(Estado::model()->findAllAttributes(null, true))); ?>
		<?php echo $form->error($model,'estado_id'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'entidad_id'); ?>
		<?php echo $form->dropDownList($model, 'entidad_id', GxHtml::listDataEx(Entidad::model()->findAllAttributes(null, true))); ?>
		<?php echo $form->error($model,'entidad_id'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'area_id'); ?>
		<?php echo $form->dropDownList($model, 'area_id', GxHtml::listDataEx(Area::model()->findAllAttributes(null, true))); ?>
		<?php echo $form->error($model,'area_id'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'categoria_id'); ?>
		<?php echo $form->dropDownList($model, 'categoria_id', GxHtml::listDataEx(Categoria::model()->findAllAttributes(null, true))); ?>
		<?php echo $form->error($model,'categoria_id'); ?>
		</div><!-- row -->
		<div class="row">
		<?php echo $form->labelEx($model,'editado_el'); ?>
		<?php $form->widget('zii.widgets.jui.CJuiDatePicker', array(
			'model' => $model,
			'attribute' => 'editado_el',
			'value' => $model->editado_el,
			'options' => array(
				'showButtonPanel' => true,
				'changeYear' => true,
				'dateFormat' => 'yy-mm-dd',
				),
			));
; ?>
		<?php echo $form->error($model,'editado_el'); ?>
		</div><!-- row -->

<!-- 		<label><?php echo GxHtml::encode($model->getRelationLabel('dispositivos')); ?></label>
		<?php echo $form->checkBoxList($model, 'dispositivos', GxHtml::encodeEx(GxHtml::listDataEx(Dispositivo::model()->findAllAttributes(null, true)), false, true)); ?>
		<label><?php echo GxHtml::encode($model->getRelationLabel('encargadoses')); ?></label>
		<?php echo $form->checkBoxList($model, 'encargadoses', GxHtml::encodeEx(GxHtml::listDataEx(Encargados::model()->findAllAttributes(null, true)), false, true)); ?>
		<label><?php echo GxHtml::encode($model->getRelationLabel('encuestas')); ?></label>
		<?php echo $form->checkBoxList($model, 'encuestas', GxHtml::encodeEx(GxHtml::listDataEx(Encuesta::model()->findAllAttributes(null, true)), false, true)); ?>
		<label><?php echo GxHtml::encode($model->getRelationLabel('formularios')); ?></label>
		<?php echo $form->checkBoxList($model, 'formularios', GxHtml::encodeEx(GxHtml::listDataEx(Formulario::model()->findAllAttributes(null, true)), false, true)); ?>
		<label><?php echo GxHtml::encode($model->getRelationLabel('fotoPerfilUsuarios')); ?></label>
		<?php echo $form->checkBoxList($model, 'fotoPerfilUsuarios', GxHtml::encodeEx(GxHtml::listDataEx(FotoPerfilUsuario::model()->findAllAttributes(null, true)), false, true)); ?>
		<label><?php echo GxHtml::encode($model->getRelationLabel('noticiases')); ?></label>
		<?php echo $form->checkBoxList($model, 'noticiases', GxHtml::encodeEx(GxHtml::listDataEx(Noticias::model()->findAllAttributes(null, true)), false, true)); ?>
		<label><?php echo GxHtml::encode($model->getRelationLabel('perPrintFors')); ?></label>
		<?php echo $form->checkBoxList($model, 'perPrintFors', GxHtml::encodeEx(GxHtml::listDataEx(PerPrintFor::model()->findAllAttributes(null, true)), false, true)); ?>
		<label><?php echo GxHtml::encode($model->getRelationLabel('reacciones')); ?></label>
		<?php echo $form->checkBoxList($model, 'reacciones', GxHtml::encodeEx(GxHtml::listDataEx(Reacciones::model()->findAllAttributes(null, true)), false, true)); ?>
		<label><?php echo GxHtml::encode($model->getRelationLabel('recibos')); ?></label>
		<?php echo $form->checkBoxList($model, 'recibos', GxHtml::encodeEx(GxHtml::listDataEx(Recibo::model()->findAllAttributes(null, true)), false, true)); ?>
		<label><?php echo GxHtml::encode($model->getRelationLabel('recuperacionClaveUsers')); ?></label>
		<?php echo $form->checkBoxList($model, 'recuperacionClaveUsers', GxHtml::encodeEx(GxHtml::listDataEx(RecuperacionClaveUser::model()->findAllAttributes(null, true)), false, true)); ?>
		<label><?php echo GxHtml::encode($model->getRelationLabel('sesionBiometricas')); ?></label>
		<?php echo $form->checkBoxList($model, 'sesionBiometricas', GxHtml::encodeEx(GxHtml::listDataEx(SesionBiometrica::model()->findAllAttributes(null, true)), false, true)); ?>
		<label><?php echo GxHtml::encode($model->getRelationLabel('sesiones')); ?></label>
		<?php echo $form->checkBoxList($model, 'sesiones', GxHtml::encodeEx(GxHtml::listDataEx(Sesiones::model()->findAllAttributes(null, true)), false, true)); ?>
		<label><?php echo GxHtml::encode($model->getRelationLabel('userSisPersonals')); ?></label>
		<?php echo $form->checkBoxList($model, 'userSisPersonals', GxHtml::encodeEx(GxHtml::listDataEx(UserSisPersonal::model()->findAllAttributes(null, true)), false, true)); ?>
 -->
<?php
echo GxHtml::submitButton(Yii::t('app', 'Save'));
$this->endWidget();
?>
</div><!-- form -->