<div class="wide form">

<?php $form = $this->beginWidget('GxActiveForm', array(
	'action' => Yii::app()->createUrl($this->route),
	'method' => 'get',
)); ?>

	<div class="row">
		<?php echo $form->label($model, 'usuario_id'); ?>
		<?php echo $form->textField($model, 'usuario_id'); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'usuario_nombre'); ?>
		<?php echo $form->textField($model, 'usuario_nombre', array('maxlength' => 100)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'usuario_apellido'); ?>
		<?php echo $form->textField($model, 'usuario_apellido', array('maxlength' => 100)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'usuario_dni'); ?>
		<?php echo $form->textField($model, 'usuario_dni'); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'usuario_cuil'); ?>
		<?php echo $form->textField($model, 'usuario_cuil'); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'usuario_legajo'); ?>
		<?php echo $form->textArea($model, 'usuario_legajo'); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'usuario_provincia'); ?>
		<?php echo $form->textField($model, 'usuario_provincia', array('maxlength' => 100)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'usuario_depto'); ?>
		<?php echo $form->textField($model, 'usuario_depto', array('maxlength' => 100)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'usuario_calle'); ?>
		<?php echo $form->textField($model, 'usuario_calle', array('maxlength' => 100)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'usuario_casa_numero'); ?>
		<?php echo $form->textField($model, 'usuario_casa_numero'); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'usuario_fecha_nacimiento'); ?>
		<?php $form->widget('zii.widgets.jui.CJuiDatePicker', array(
			'model' => $model,
			'attribute' => 'usuario_fecha_nacimiento',
			'value' => $model->usuario_fecha_nacimiento,
			'options' => array(
				'showButtonPanel' => true,
				'changeYear' => true,
				'dateFormat' => 'yy-mm-dd',
				),
			));
; ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'usuario_email'); ?>
		<?php echo $form->textField($model, 'usuario_email', array('maxlength' => 100)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'usuario_biografia'); ?>
		<?php echo $form->textArea($model, 'usuario_biografia'); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'usuario_telefono'); ?>
		<?php echo $form->textField($model, 'usuario_telefono', array('maxlength' => 30)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'usuario_profesion'); ?>
		<?php echo $form->textField($model, 'usuario_profesion', array('maxlength' => 100)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'usuario_clave'); ?>
		<?php echo $form->textField($model, 'usuario_clave', array('maxlength' => 50)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'usuario_foto_perfil'); ?>
		<?php echo $form->textField($model, 'usuario_foto_perfil', array('maxlength' => 500)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'usuario_facebook'); ?>
		<?php echo $form->textField($model, 'usuario_facebook', array('maxlength' => 100)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'usuario_instagram'); ?>
		<?php echo $form->textField($model, 'usuario_instagram', array('maxlength' => 100)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'cargo_id'); ?>
		<?php echo $form->dropDownList($model, 'cargo_id', GxHtml::listDataEx(Cargo::model()->findAllAttributes(null, true)), array('prompt' => Yii::t('app', 'All'))); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'tipo_usuario_id'); ?>
		<?php echo $form->dropDownList($model, 'tipo_usuario_id', GxHtml::listDataEx(TipoUsuario::model()->findAllAttributes(null, true)), array('prompt' => Yii::t('app', 'All'))); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'estado_id'); ?>
		<?php echo $form->dropDownList($model, 'estado_id', GxHtml::listDataEx(Estado::model()->findAllAttributes(null, true)), array('prompt' => Yii::t('app', 'All'))); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'entidad_id'); ?>
		<?php echo $form->dropDownList($model, 'entidad_id', GxHtml::listDataEx(Entidad::model()->findAllAttributes(null, true)), array('prompt' => Yii::t('app', 'All'))); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'area_id'); ?>
		<?php echo $form->dropDownList($model, 'area_id', GxHtml::listDataEx(Area::model()->findAllAttributes(null, true)), array('prompt' => Yii::t('app', 'All'))); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'categoria_id'); ?>
		<?php echo $form->dropDownList($model, 'categoria_id', GxHtml::listDataEx(Categoria::model()->findAllAttributes(null, true)), array('prompt' => Yii::t('app', 'All'))); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model, 'editado_el'); ?>
		<?php $form->widget('zii.widgets.jui.CJuiDatePicker', array(
			'model' => $model,
			'attribute' => 'editado_el',
			'value' => $model->editado_el,
			'options' => array(
				'showButtonPanel' => true,
				'changeYear' => true,
				'dateFormat' => 'yy-mm-dd',
				),
			));
; ?>
	</div>

	<div class="row buttons">
		<?php echo GxHtml::submitButton(Yii::t('app', 'Search')); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- search-form -->
