<?php

$this->breadcrumbs = array(
	$model->label(2) => array('index'),
	GxHtml::valueEx($model),
);

$this->menu=array(
	array('label'=>Yii::t('app', 'List') . ' ' . $model->label(2), 'url'=>array('index')),
	array('label'=>Yii::t('app', 'Create') . ' ' . $model->label(), 'url'=>array('create')),
	array('label'=>Yii::t('app', 'Update') . ' ' . $model->label(), 'url'=>array('update', 'id' => $model->usuario_id)),
	array('label'=>Yii::t('app', 'Delete') . ' ' . $model->label(), 'url'=>'#', 'linkOptions' => array('submit' => array('delete', 'id' => $model->usuario_id), 'confirm'=>'Are you sure you want to delete this item?')),
	array('label'=>Yii::t('app', 'Manage') . ' ' . $model->label(2), 'url'=>array('admin')),
);
?>

<h1><?php echo Yii::t('app', 'View') . ' ' . GxHtml::encode($model->label()) . ' ' . GxHtml::encode($model->usuario_apellido.' '.$model->usuario_nombre); ?></h1>

<?php $this->widget('zii.widgets.CDetailView', array(
	'data' => $model,
	'attributes' => array(
		//'usuario_id',
		'usuario_nombre',
		'usuario_apellido',
		'usuario_dni',
		'usuario_cuil',
		'usuario_legajo',
		'usuario_provincia',
		'usuario_depto',
		'usuario_calle',
		'usuario_casa_numero',
		'usuario_fecha_nacimiento',
		'usuario_email',
		'usuario_biografia',
		'usuario_telefono',
		'usuario_profesion',
		'usuario_clave',
		'usuario_foto_perfil',
		'usuario_facebook',
		'usuario_instagram',
		array(
					'name' => 'cargo',
					'type' => 'raw',
					'value' => $model->cargo !== null ? GxHtml::link(GxHtml::encode(GxHtml::valueEx($model->cargo)), array('cargo/view', 'id' => GxActiveRecord::extractPkValue($model->cargo, true))) : null,
					),
		array(
					'name' => 'tipoUsuario',
					'type' => 'raw',
					'value' => $model->tipoUsuario !== null ? GxHtml::link(GxHtml::encode(GxHtml::valueEx($model->tipoUsuario)), array('tipoUsuario/view', 'id' => GxActiveRecord::extractPkValue($model->tipoUsuario, true))) : null,
					),
		array(
					'name' => 'estado',
					'type' => 'raw',
					'value' => $model->estado !== null ? GxHtml::link(GxHtml::encode(GxHtml::valueEx($model->estado)), array('estado/view', 'id' => GxActiveRecord::extractPkValue($model->estado, true))) : null,
					),
		array(
					'name' => 'entidad',
					'type' => 'raw',
					'value' => $model->entidad !== null ? GxHtml::link(GxHtml::encode(GxHtml::valueEx($model->entidad)), array('entidad/view', 'id' => GxActiveRecord::extractPkValue($model->entidad, true))) : null,
					),
		array(
					'name' => 'area',
					'type' => 'raw',
					'value' => $model->area !== null ? GxHtml::link(GxHtml::encode(GxHtml::valueEx($model->area)), array('area/view', 'id' => GxActiveRecord::extractPkValue($model->area, true))) : null,
					),
		array(
					'name' => 'categoria',
					'type' => 'raw',
					'value' => $model->categoria !== null ? GxHtml::link(GxHtml::encode(GxHtml::valueEx($model->categoria)), array('categoria/view', 'id' => GxActiveRecord::extractPkValue($model->categoria, true))) : null,
					),
		'editado_el',
	),
)); ?>

<?php /*
<h2><?php echo GxHtml::encode($model->getRelationLabel('dispositivos')); ?></h2>
<?php
	echo GxHtml::openTag('ul');
	foreach($model->dispositivos as $relatedModel) {
		echo GxHtml::openTag('li');
		echo GxHtml::link(GxHtml::encode(GxHtml::valueEx($relatedModel)), array('dispositivo/view', 'id' => GxActiveRecord::extractPkValue($relatedModel, true)));
		echo GxHtml::closeTag('li');
	}
	echo GxHtml::closeTag('ul');
?><h2><?php echo GxHtml::encode($model->getRelationLabel('encargadoses')); ?></h2>
<?php
	echo GxHtml::openTag('ul');
	foreach($model->encargadoses as $relatedModel) {
		echo GxHtml::openTag('li');
		echo GxHtml::link(GxHtml::encode(GxHtml::valueEx($relatedModel)), array('encargados/view', 'id' => GxActiveRecord::extractPkValue($relatedModel, true)));
		echo GxHtml::closeTag('li');
	}
	echo GxHtml::closeTag('ul');
?><h2><?php echo GxHtml::encode($model->getRelationLabel('encuestas')); ?></h2>
<?php
	echo GxHtml::openTag('ul');
	foreach($model->encuestas as $relatedModel) {
		echo GxHtml::openTag('li');
		echo GxHtml::link(GxHtml::encode(GxHtml::valueEx($relatedModel)), array('encuesta/view', 'id' => GxActiveRecord::extractPkValue($relatedModel, true)));
		echo GxHtml::closeTag('li');
	}
	echo GxHtml::closeTag('ul');
?><h2><?php echo GxHtml::encode($model->getRelationLabel('formularios')); ?></h2>
<?php
	echo GxHtml::openTag('ul');
	foreach($model->formularios as $relatedModel) {
		echo GxHtml::openTag('li');
		echo GxHtml::link(GxHtml::encode(GxHtml::valueEx($relatedModel)), array('formulario/view', 'id' => GxActiveRecord::extractPkValue($relatedModel, true)));
		echo GxHtml::closeTag('li');
	}
	echo GxHtml::closeTag('ul');
?><h2><?php echo GxHtml::encode($model->getRelationLabel('fotoPerfilUsuarios')); ?></h2>
<?php
	echo GxHtml::openTag('ul');
	foreach($model->fotoPerfilUsuarios as $relatedModel) {
		echo GxHtml::openTag('li');
		echo GxHtml::link(GxHtml::encode(GxHtml::valueEx($relatedModel)), array('fotoPerfilUsuario/view', 'id' => GxActiveRecord::extractPkValue($relatedModel, true)));
		echo GxHtml::closeTag('li');
	}
	echo GxHtml::closeTag('ul');
?><h2><?php echo GxHtml::encode($model->getRelationLabel('noticiases')); ?></h2>
<?php
	echo GxHtml::openTag('ul');
	foreach($model->noticiases as $relatedModel) {
		echo GxHtml::openTag('li');
		echo GxHtml::link(GxHtml::encode(GxHtml::valueEx($relatedModel)), array('noticias/view', 'id' => GxActiveRecord::extractPkValue($relatedModel, true)));
		echo GxHtml::closeTag('li');
	}
	echo GxHtml::closeTag('ul');
?><h2><?php echo GxHtml::encode($model->getRelationLabel('perPrintFors')); ?></h2>
<?php
	echo GxHtml::openTag('ul');
	foreach($model->perPrintFors as $relatedModel) {
		echo GxHtml::openTag('li');
		echo GxHtml::link(GxHtml::encode(GxHtml::valueEx($relatedModel)), array('perPrintFor/view', 'id' => GxActiveRecord::extractPkValue($relatedModel, true)));
		echo GxHtml::closeTag('li');
	}
	echo GxHtml::closeTag('ul');
?><h2><?php echo GxHtml::encode($model->getRelationLabel('reacciones')); ?></h2>
<?php
	echo GxHtml::openTag('ul');
	foreach($model->reacciones as $relatedModel) {
		echo GxHtml::openTag('li');
		echo GxHtml::link(GxHtml::encode(GxHtml::valueEx($relatedModel)), array('reacciones/view', 'id' => GxActiveRecord::extractPkValue($relatedModel, true)));
		echo GxHtml::closeTag('li');
	}
	echo GxHtml::closeTag('ul');
?><h2><?php echo GxHtml::encode($model->getRelationLabel('recibos')); ?></h2>
<?php
	echo GxHtml::openTag('ul');
	foreach($model->recibos as $relatedModel) {
		echo GxHtml::openTag('li');
		echo GxHtml::link(GxHtml::encode(GxHtml::valueEx($relatedModel)), array('recibo/view', 'id' => GxActiveRecord::extractPkValue($relatedModel, true)));
		echo GxHtml::closeTag('li');
	}
	echo GxHtml::closeTag('ul');
?><h2><?php echo GxHtml::encode($model->getRelationLabel('recuperacionClaveUsers')); ?></h2>
<?php
	echo GxHtml::openTag('ul');
	foreach($model->recuperacionClaveUsers as $relatedModel) {
		echo GxHtml::openTag('li');
		echo GxHtml::link(GxHtml::encode(GxHtml::valueEx($relatedModel)), array('recuperacionClaveUser/view', 'id' => GxActiveRecord::extractPkValue($relatedModel, true)));
		echo GxHtml::closeTag('li');
	}
	echo GxHtml::closeTag('ul');
?><h2><?php echo GxHtml::encode($model->getRelationLabel('sesionBiometricas')); ?></h2>
<?php
	echo GxHtml::openTag('ul');
	foreach($model->sesionBiometricas as $relatedModel) {
		echo GxHtml::openTag('li');
		echo GxHtml::link(GxHtml::encode(GxHtml::valueEx($relatedModel)), array('sesionBiometrica/view', 'id' => GxActiveRecord::extractPkValue($relatedModel, true)));
		echo GxHtml::closeTag('li');
	}
	echo GxHtml::closeTag('ul');
?><h2><?php echo GxHtml::encode($model->getRelationLabel('sesiones')); ?></h2>
<?php
	echo GxHtml::openTag('ul');
	foreach($model->sesiones as $relatedModel) {
		echo GxHtml::openTag('li');
		echo GxHtml::link(GxHtml::encode(GxHtml::valueEx($relatedModel)), array('sesiones/view', 'id' => GxActiveRecord::extractPkValue($relatedModel, true)));
		echo GxHtml::closeTag('li');
	}
	echo GxHtml::closeTag('ul');
?><h2><?php echo GxHtml::encode($model->getRelationLabel('userSisPersonals')); ?></h2>
<?php
	echo GxHtml::openTag('ul');
	foreach($model->userSisPersonals as $relatedModel) {
		echo GxHtml::openTag('li');
		echo GxHtml::link(GxHtml::encode(GxHtml::valueEx($relatedModel)), array('userSisPersonal/view', 'id' => GxActiveRecord::extractPkValue($relatedModel, true)));
		echo GxHtml::closeTag('li');
	}
	echo GxHtml::closeTag('ul');
?>
*/ ?>